// JavaScript Document
function selectbox(box)
{
	var boxall=document.form1.dodel;
	if(box=="select")
	{
		for(var i=0;i<boxall.length;i++)
		{
				boxall[i].checked=true;
		}
	}
	if(box=="clear")
	{
		for(var i=0;i<boxall.length;i++)
		{
			boxall[i].checked=false;
		}
	}
	
	if(box=="fanxuan")
	{
		for(var i=0;i<boxall.length;i++)
		{
			if(boxall[i].checked==false)
			{
				boxall[i].checked=true;
			}
			else
			{
				boxall[i].checked=false;
			}
		}
	}
}

function checkselect()
{
	
	var boxall=document.form1.dodel;
	var biaoji=0;
	for(var i=0;i<boxall.length;i++)
	{
		if(boxall[i].checked==false)
		{
			biaoji+=0;
		}
		else
		{
			biaoji+=1;
		}
	}
	if(biaoji==0)
	{
		return false;
	}
	else
	{
		return true;
	}
}

function dodel()
{
	
	document.getElementById("form1").action="func/pfunc.php?action=dodel";
	if(checkselect())
	{
		if(confirm("确定要全部删除吗,所有的附件及内容将要全部删除?"))
		{
			document.getElementById("form1").submit();
		}
	
	}
	else
	{
		alert("请至少选择一项");
	}

}

function submitform()
{
	
	document.getElementById("form1").action="func/pfunc.php?action=move";
	if(checkselect())
	{
		if(confirm("确定要批量设置分类吗?"))
		{
			document.getElementById("form1").submit();
		}
	
	}
	else
	{
		alert("请至少选择一项");
	}

}


